%global bootstrap 1
Summary: Config files for KDE
Name:    kde-settings
Version: 23.0
Release: 1%{?dist}
License: MIT
Url:     https://gitee.com/opencloudos-stream/kde-settings
Source0: kde-settings-%{version}.tar.gz
Source1: COPYING
Source2: ssh-agent.sh
BuildArch: noarch

BuildRequires: kde-filesystem, desktop-file-utils, xdg-user-dirs
BuildRequires: systemd-rpm-macros

%if ! 0%{?bootstrap}
BuildRequires: desktop-backgrounds-kde
%endif

Requires: kde-filesystem
Requires: pam
Requires: xdg-user-dirs
Requires: breeze-icon-theme

%description
%{summary}.

%package plasma
Summary: Configuration files for plasma
Requires: %{name} = %{version}-%{release}
%if ! 0%{?bootstrap}
Requires: desktop-backgrounds-kde
%endif
Requires: system-logos
Requires: google-noto-sans-fonts
Requires: google-noto-serif-fonts
Requires: google-noto-sans-mono-fonts

%description plasma
%{summary}.

%package sddm
Summary: Configuration files for sddm
Requires: sddm
Requires: breeze-cursor-theme

%description sddm
%{summary}.

%package pulseaudio
Summary: Enable pulseaudio support in KDE
License: Public Domain
Requires: %{name} = %{version}-%{release}
Requires: pulseaudio-daemon
Requires: (pipewire-alsa if pipewire-pulseaudio)
Requires: (alsa-plugins-pulseaudio if pulseaudio)

%description pulseaudio
%{summary}.

%package -n qt-settings
Summary: Configuration files for Qt

%description -n qt-settings
%{summary}.


%prep
%autosetup -p1
rm -fv Makefile


%build


%install
tar cpf - . | tar --directory %{buildroot} -xvpf -

if [ %{_prefix} != /usr ] ; then
   pushd %{buildroot}
   mv %{buildroot}/usr %{buildroot}%{_prefix}
   mv %{buildroot}/etc %{buildroot}%{_sysconfdir}
   popd
fi

cp -p %{SOURCE1} .

cp -a %{_sysconfdir}/xdg/autostart/xdg-user-dirs.desktop \
      xdg-user-dirs-kde.desktop
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
desktop-file-install \
  xdg-user-dirs-kde.desktop \
  --dir=%{buildroot}%{_sysconfdir}/xdg/autostart \
  --remove-key=X-GNOME-Autostart-Phase \
  --add-only-show-in=KDE

install -p -m644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/xdg/plasma-workspace/env/ssh-agent.sh


%check


%files
%license COPYING
%config(noreplace) %{_sysconfdir}/profile.d/kde.*
%{_sysconfdir}/kde/env/env.sh
%{_sysconfdir}/kde/env/gpg-agent-startup.sh
%{_sysconfdir}/kde/shutdown/gpg-agent-shutdown.sh
%{_sysconfdir}/kde/env/gtk2_rc_files.sh
%{_datadir}/kde-settings/
%{_prefix}/lib/rpm/plasma4.prov
%{_prefix}/lib/rpm/plasma4.req
%{_prefix}/lib/rpm/fileattrs/plasma4.attr
%{_datadir}/polkit-1/rules.d/11-system-kde-policy.rules
%config(noreplace) %{_sysconfdir}/xdg/kcm-about-distrorc
%config(noreplace) %{_sysconfdir}/xdg/kdebugrc
%config(noreplace) %{_sysconfdir}/pam.d/kcheckpass
%config(noreplace) %{_sysconfdir}/pam.d/kscreensaver
%config %{_sysconfdir}/kderc
%config %{_sysconfdir}/kde4rc
%{_datadir}/applications/kde-mimeapps.list

%files plasma
%{_sysconfdir}/xdg/autostart/xdg-user-dirs-kde.desktop
%{_sysconfdir}/xdg/plasma-workspace/env/env.sh
%{_sysconfdir}/xdg/plasma-workspace/env/gtk2_rc_files.sh
%{_sysconfdir}/xdg/plasma-workspace/env/gtk3_scrolling.sh
%{_datadir}/plasma/look-and-feel/org.opencloudos.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kicker.js
%{_datadir}/plasma/look-and-feel/org.opencloudos.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickerdash.js
%{_datadir}/plasma/look-and-feel/org.opencloudos.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickoff.js
%{_datadir}/plasma/shells/org.kde.plasma.desktop/contents/updates/00-start-here-2.js
%{_sysconfdir}/xdg/plasma-workspace/env/ssh-agent.sh

%files sddm
%{_prefix}/lib/sddm/sddm.conf.d/kde_settings.conf

%files pulseaudio

%files -n qt-settings
%license COPYING
%config(noreplace) %{_sysconfdir}/Trolltech.conf


%changelog
* Sat Nov 11 2023 Chair <chairou@tencent.com> - 23.0-1
- Init
